Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout
Class StructureParameter

    java.lang.Object
      org.jasig.portal.layout.StructureParameter

    public class StructureParameter

extends java.lang.Object

This class began its life as a public inner class of RDBMUserLayoutStore.

Since:
  uPortal 2.5 before 2.5 this was an inner class of org.jasig.portal.RDBMUserLayoutStore.
Version:
  $Revision: 1.1 $ $Date: 2005/05/02 02:14:28 $

Field Summary
`private java.lang.String` | `name` The parameter name.
`private java.lang.String` | `value` The parameter value.

Constructor Summary
`StructureParameter(java.lang.String name, java.lang.String value)` Create a new StructureParameter instance representing the given name, value pair.

Method Summary
`java.lang.String` | `getName()` Get the name of this parameter.
`java.lang.String` | `getValue()` Get the value of this parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private final java.lang.String name

  The parameter name.

### value

    private final java.lang.String value

  The parameter value.

Constructor Detail

### StructureParameter

    public StructureParameter(java.lang.String name,
                              java.lang.String value)

  Create a new StructureParameter instance representing the given name, value pair.

  Parameters:
    `name` - the name of the parameter
    `value` - the value for the parameter

Method Detail

### getName

    public java.lang.String getName()

  Get the name of this parameter.

  Returns:
    the name of this parameter.

### getValue

    public java.lang.String getValue()

  Get the value of this parameter.

  Returns:
    the value of the parameter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD